variables:
# project variables
  RF_IMAGE: jfxs/robot-framework:latest
  IMAGE_SELENIUM_GC: selenium/standalone-chrome:latest
  IMAGE_SELENIUM_FF: selenium/standalone-firefox:latest


stages:
  - rf-test
  - rf-test2
  - test
  - rebot-pages

include:
  - /templates/.TestYoutube.yml
  - /templates/.TestYoutube2.yml
  - /templates/.Log.yml

pages:
  tags:
     - gitlab-org
  image: python:latest
  stage: rebot-pages
  script:
    - pip install git+https://github.com/HugoBertrand/robotframework-metrics
    - robotmetrics --inputpath /builds/hugo.bertrand04/test/public/ --output output.xml -M regression_metrics.html 
    - pip install git+https://github.com/Kozea/CairoSVG
    - cairosvg /builds/hugo.bertrand04/test/public/all_tests.svg -o all_tests.png
    - cp all_tests.png public
  artifacts:
    paths:
      - public
  only:
    - master
  when: always



